Subject: Compile error (SunOS-5.5.1)

From: Nadim Saeed <[email-masked]>
Date: Wed, 30 Jun 1999 18:53:11 -3100 (PDT)

Attempted to compile fvwm-2.2.0 on a

	SunOS pico 5.5.1 Generic_103640-17 sun4u sparc SUNW,Ultra-2 

COMMANDS: (using a newly compiled gcc-2.8.1):
 ./configure --without-cxx		(C++ barfed for some reason)
 make

ERROR:
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs  -I/usr/openwin/include    -g -O2 -c
focus.c
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs  -I/usr/openwin/include    -g -O2 -c
functions.c
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../libs  -I/usr/openwin/include    -g -O2 -c
fvwm.c \
        -DFVWMRC=\".fvwm2rc\" \
        -DFVWM_MODULEDIR=\"/usr/local/libexec/fvwm/2.2.2\" \
        -DFVWM_CONFIGDIR=\"/usr/local/etc\"
fvwm.c: In function `main':
fvwm.c:201: warning: assignment makes pointer from integer without a cast
fvwm.c:250: storage size of `sigact' isn't known
fvwm.c: In function `newhandler':
fvwm.c:849: storage size of `sigact' isn't known
*** Error code 1
make: Fatal error: Command failed for target `fvwm.o'
Current working directory /usr19/people/nadim/download/fvwm-2.2.2/fvwm
*** Error code 1
make: Fatal error: Command failed for target `all-recursive'
Current working directory /usr19/people/nadim/download/fvwm-2.2.2
*** Error code 1
make: Fatal error: Command failed for target `all-recursive-am'

What am I doing wrong (how can I fix this) ?

Please cc replies

 - Nadim
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]